SEP-6SEP-24SEP-31Query a list of transactions by SEP, transaction status or other criteria.
Params (5)
Please note that parameter structure within the request must contain named parameters as a by-name object, and not as positional arguments in a by-position array
integer
required
Sep of the transaction belongs toProtocol of the transaction.Available options: 6, 24, 31
string
Specifies field that transactions will be ordered by. Note, that secondary sort is transaction id in ascending value.The order by string used to sort the results.Available options: created_at, transfer_received_at, user_action_required_byDefault: "created_at"
array
The statuses of the transaction to filter by.Available options: incomplete, completed, refunded, expired, error, pending_stellar, pending_external, pending_user_transfer_start, pending_user_transfer_complete, pending_anchor, pending_trust, pending_user, no_market, too_small, too_large, pending_sender, pending_receiver, pending_transaction_info_update, pending_customer_info_update
integer
The number of records to return in each page.Default: 20
integer
Page number to use for continuous search. Page count beings at 0.Default: 0
Result
(get_transactionResponse)
object[]
A platform transaction object
Show items
string
A unique transaction identifier.
integer
Protocol of the transaction.Available options: 6, 24, 31
string
The kind of transaction that is desired.Available options: undefined, receive, deposit, deposit-exchange, withdrawal, withdrawal-exchange
string
Processing status of the transaction.Available options: pending_anchor, pending_trust, pending_user, pending_user_transfer_start, pending_user_transfer_complete, incomplete, no_market, too_small, too_large, pending_sender, pending_receiver, pending_transaction_info_update, pending_customer_info_update, completed, refunded, expired, error, pending_external, pending_stellar
string
Funding method used for transferring or settling assets.
string
DEPRECATED in favor of funding_method. Type of deposit, withdrawal or receive.
object
The amount expected in the payment.
Show properties
string
A stringified amount of an asset.
string
An asset.
object
Amount expected/received by anchor.
Show properties
string
A stringified amount of an asset.
string
An asset.
object
The amount expected to be sent by anchor to user at end of transaction.
Show properties
string
A stringified amount of an asset.
string
An asset.
object
Description of fee charged by the anchor.
Show properties
number
required
string
required
object[]
Details about fee charged.
Show items
string
string
number
string
The id returned from a SEP-38 POST /quote response
string
Start date and time of transaction.
string
The date and time of transaction reaching the current status.
string
The date and time of transaction reaching completed or refunded status.
string
The date and time of receiving transfer.
string
Time and date by which user action is required.
string
Human readable explanation of transaction status
object
An object describing any on or offchain refund associated with this transaction.
Show properties
object
The total amount refunded in units of amount_in_asset.
Show properties
string
A numerical representation of an amount of some asset.
string
An asset.
object
The total amount charged in fees for processing all refund payments, in units of amount_in_asset.
Show properties
string
A numerical representation of an amount of some asset.
string
An asset.
object[]
A list of objects containing information on the individual payments made back as refunds.
Show items
string
The Stellar transaction hash.
string
object
The amount sent back for the payment identified by id, in units of amount_in_asset.
Show properties
string
A numerical representation of an amount of some asset.
string
An asset.
object
The amount charged as a fee for processing the refund, in units of amount_in_asset.
Show properties
string
A numerical representation of an amount of some asset.
string
An asset.
string
The date and time of requesting refund.
string
The date and time of making refund.
object[]
Show items
string
required
The Stellar transaction hash.
string
string
The memo type of the transaction in the Stellar network. Should be present if memo is not null.Available options: id, hash, text
string
required
The date and time when the transaction is created.
string
The transaction envelope, containing all the transaction information.
object[]
required
Show items
string
required
The ID of the payment in the Stellar Network.
string
required
The ID of the payment in the Stellar Network.Available options: payment, path_paymentDefault: "payment"
string
required
The account being debited in the Stellar Network.
string
required
The account being credited in the Stellar Network.
object
required
Show properties
string
A stringified amount of an asset.
string
An asset.
string
The account being debited in the Stellar Network.
string
The account being credited in the Stellar Network.
string
A unique transaction identifier.
string
string
The memo type of the transaction in the Stellar network. Should be present if memo is not null.Available options: id, hash, text
string
string
The memo type of the transaction in the Stellar network. Should be present if memo is not null.Available options: id, hash, text
string
The domain of the client.
string
The IP address of the client requesting the transaction.
object
The Identification info of the sending and receiving customers. If they were created through SEP-12,
this object should contain the SEP-12 customer id. Otherwise, the account address of the customer.
Show properties
object
A object that identify end-user.
For a SEP-12 customer, the id field should be sufficient to fully identify the customer in the business’ Backend.
For a SEP-31 Sending Anchor, the account and memo fields should be used.
For a SEP-6 or SEP-24 Anchor, the account and memo fields should be used.
Show properties
string
The id of the customer registered through SEP-12.
string
Either the Stellar account or Muxed account address of the on-chain entity.
string
The memo value identifying a customer with a shared account, where the shared account is account.
object
A object that identify end-user.
For a SEP-12 customer, the id field should be sufficient to fully identify the customer in the business’ Backend.
For a SEP-31 Sending Anchor, the account and memo fields should be used.
For a SEP-6 or SEP-24 Anchor, the account and memo fields should be used.
Show properties
string
The id of the customer registered through SEP-12.
string
Either the Stellar account or Muxed account address of the on-chain entity.
string
The memo value identifying a customer with a shared account, where the shared account is account.
object
A object that identify end-user.
For a SEP-12 customer, the id field should be sufficient to fully identify the customer in the business’ Backend.
For a SEP-31 Sending Anchor, the account and memo fields should be used.
For a SEP-6 or SEP-24 Anchor, the account and memo fields should be used.
Show properties
string
The id of the customer registered through SEP-12.
string
Either the Stellar account or Muxed account address of the on-chain entity.
string
The memo value identifying a customer with a shared account, where the shared account is account.
Example
Example request to the get_transactions method.Request